diff --git classes/gettext.bbclass classes/gettext.bbclass
index 968531b..18aa98f 100644
--- classes/gettext.bbclass
+++ classes/gettext.bbclass
@@ -1,15 +1,16 @@
-def gettext_after_parse(d):
-    # Remove the NLS bits if USE_NLS is no.
-    if bb.data.getVar('USE_NLS', d, 1) == 'no':
-        cfg = oe_filter_out('^--(dis|en)able-nls$', bb.data.getVar('EXTRA_OECONF', d, 1) or "", d)
-        cfg += " --disable-nls"
-        depends = bb.data.getVar('DEPENDS', d, 1) or ""
-        bb.data.setVar('DEPENDS', oe_filter_out('^(gettext|gettext-native)$', depends, d), d)
-        bb.data.setVar('EXTRA_OECONF', cfg, d)
+#def gettext_after_parse(d):
+#    # Remove the NLS bits if USE_NLS is no.
+#     #if bb.data.getVar('USE_NLS', d, 1) == 'no':
+#        # cfg = oe_filter_out('^--(dis|en)able-nls$', bb.data.getVar('EXTRA_OECONF', d, 1) or "", d)
+#        # cfg += " --disable-nls"
+#        # depends = bb.data.getVar('DEPENDS', d, 1) or ""
+#        # bb.data.setVar('DEPENDS', oe_filter_out('^(gettext|gettext-native)$', depends, d), d)
+#        # bb.data.setVar('EXTRA_OECONF', cfg, d)
 
-python () {
-    gettext_after_parse(d)
-}
+
+#python () {
+#    gettext_after_parse(d)
+#}
 
 DEPENDS_GETTEXT = "gettext gettext-native virtual/libiconv virtual/libintl"
 
diff --git conf/distro/opencocon.conf conf/distro/opencocon.conf
new file mode 100644
index 0000000..3c3f745
--- /dev/null
+++ conf/distro/opencocon.conf
@@ -0,0 +1,146 @@
+#-----------------------------------------------------------------------------
+#@TYPE: Distribution
+#@NAME: opencocon
+#@DESCRIPTION: Linux distribution for old computer
+#
+#@COMMENT: www.opencocon.org
+#-----------------------------------------------------------------------------
+
+#
+# Header
+#
+DISTRO_NAME = "opencocon"
+DISTRO_VERSION = "v0"
+
+#DISTRO_TYPE = "release"
+DISTRO_TYPE = "debug"
+
+
+#INHERIT += "debian"
+IMAGE_PKGTYPE ?= "ipk"
+
+INHERIT += "packaged-staging"
+#INHERIT += "package_tar"
+INHERIT += "package_ipk"
+
+ONLINE_PACKAGE_MANAGEMENT = "none"
+OPKG_SRCREV ?= "541"
+
+# Put links to sources in deploy/sources to make it easier for people to be GPL compliant
+INHERIT += "src_distribute_local"
+SRC_DIST_LOCAL ?= "symlink"
+
+
+#############################################################################
+# IMAGES
+#############################################################################
+# Name the generated images in a sane way
+#IMAGE_BASENAME = "0"
+#PACKAGE_INSTALL = "virtual/kernel busybox uclibc"
+#IMAGE_NAME = "${DISTRO_NAME}-${DISTRO_VERSION}-${MACHINE}"
+CACHE = "${TMPDIR}/cache/${LIBC}/${MACHINE}"
+DEPLOY_DIR ?= "${TMPDIR}/deploy/${LIBC}"
+DEPLOY_DIR_IMAGE = "${DEPLOY_DIR}/images/${MACHINE}"
+#SPLASH ?= '${@base_contains("MACHINE_FEATURES", "screen", "psplash", "",d)}'
+#PREFERRED_PROVIDER_virtual/psplash = "psplash"
+
+# increase inode/block ratio for ext2 filesystem
+EXTRA_IMAGECMD_ext2 = "-i 8192"
+
+# Global Setting
+USE_NLS = "yes"
+PREFERRED_PROVIDER_virtual/update-alternatives = "opkg"
+PREFERRED_PROVIDER_hotplug  = "udev"
+PREFERRED_VERSION_udev ?= "165"
+PREFERRED_PROVIDER_virtual/libqte2 = "qte"
+
+# KERNEL
+KERNEL ?= "kernel26"
+MACHINE_KERNEL_VERSION ?= "2.6"
+LINUX_LIBC_HEADERS_VERSION ?= "2.6.35"
+PREFERRED_VERSION_linux-libc-headers = "${LINUX_LIBC_HEADERS_VERSION}"
+PREFERRED_VERSION_linux-libc-headers-native = "${LINUX_LIBC_HEADERS_VERSION}"
+PREFERRED_PROVIDER_virtual/kernel = "linux-cocon486"
+
+PREFERRED_VERSION_linux = "2.6.35"
+KERNEL_IMAGETYPE = "bzImage"
+
+# OVERWRITES adjusted from bitbake.conf to feature the MACHINE_CLASS
+#OVERRIDES = "local:${MACHINE}:${MACHINE_CLASS}:${DISTRO}:${TARGET_OS}:${TARGET_ARCH}:build-${BUILD_OS}:fail-fast:pn-${PN}"
+
+# uClibc Setting
+LIBC = "uclibc"
+PREFERRED_PROVIDER_virtual/libc = "uclibc"
+PREFERRED_PROVIDER_virtual/${TARGET_PREFIX}libc-for-gcc = "uclibc"
+PREFERRED_PROVIDER_virtual/i486-linux-uclibc-libc-initial = "uclibc-initial"
+PREFERRED_VERSION_uclibc = "0.9.31"
+PREFERRED_VERSION_uclibc-initial = "0.9.31"
+TARGET_LINK_HASH_STYLE = "-Wl,--hash-style=gnu"
+
+# Busybox Setting
+#PREFERRED_VERSION_busybox = "1.18.3"
+PREFERRED_PROVIDER_virtual/i486-pc-linux-uclibc-libc-initial = "uclibc-initial"
+IMAGE_LOGIN_MANAGER = "busybox"
+IMAGE_INIT_MANAGER = "busybox"
+IMAGE_DEV_MANAGER = "udev"
+
+# Binutils
+PREFERRED_VERSION_binutils-cross ?= "2.21"
+PREFERRED_VERSION_binutils ?= "2.21"
+
+# GCC
+PREFERRED_PROVIDER_virtual/${TARGET_PREFIX}binutils = "binutils-cross"
+PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}gcc-initial:gcc-cross-initial"
+PREFERRED_PROVIDERS += " virtual/${TARGET_PREFIX}gcc-intermediate:gcc-cross-intermediate"
+PREFERRED_PROVIDER_linux-libc-headers ?= "linux-libc-headers"
+USE_NLS_gcc-cross = "no"
+PEFERRED_VERSION_gcc = "4.3.4"
+PREFERRED_VERSION_gcc-cross = "4.3.4"
+PREFERRED_VERSION_gcc-cross-initial = "4.3.4"
+PREFERRED_VERSION_gcc-cross-intermediate = "4.3.4"
+PREFERRED_PROVIDER_virtual/libgcc = "gcc-cross"
+PREFERRED_PROVIDER_virtual/libiconv = "libiconv"
+PREFERRED_PROVIDER_virtual/libintl = "gettext"
+USE_NLS_gettext = "yes"
+
+# Autoconf
+PREFERRED_VERSION_autoconf ?= "2.64"
+LIBTOOL_HAS_SYSROOT = "no"
+
+# X.org
+#PREFERRED_VERSION_glib-2.0 = "2.26.1"
+USE_NLS_glib-2.0-native = "yes"
+USE_NLS_glib-2.0 = "yes"
+PREFERRED_VERSION_xorg = "1.7.4"
+PREFERRED_PROVIDER_virtual/xserver = "xserver-xorg"
+# PREFERRED_PROVIDER_xserver-kdrive = "xserver-kdrive"
+
+# FEATURE SELECTION
+# We want images supporting the following features (for task-base)
+DISTRO_FEATURES = "nfs ipv4 ipv6 wifi alsa ext2 vfat pcmcia usbhost pci largefile nls xattr"
+TARGET_VENDOR = "-pc"
+
+EFL_SRCREV = "51081"
+
+# Additional content I (only valid if you include task-base)
+# distro-feed-configs: configuration files for the online feeds
+# util-linux-ng-mount util-linux-ng-umount: busybox mount is broken
+# angstrom-libc-fixup-hack: fixes an obscure bug with libc.so symlink
+#DISTRO_EXTRA_RDEPENDS += "\
+#  distro-feed-configs \
+#  util-linux-ng-mount util-linux-ng-umount \
+#  angstrom-libc-fixup-hack \
+#  ${DISTRO_EXTRA_APPS} \
+#"
+
+# Additional content II (can be masked with BAD_RECOMMENDATIONS)
+#DISTRO_EXTRA_RRECOMMENDS += " \
+#    kernel-module-vfat \
+#    kernel-module-ext2 \
+#    kernel-module-ext3 \
+#    kernel-module-af-packet \
+#    avahi-daemon \
+#    avahi-autoipd \
+#    openssh-sftp-server \
+#"
+
diff --git conf/machine/cocon486.conf conf/machine/cocon486.conf
new file mode 100644
index 0000000..7096731
--- /dev/null
+++ conf/machine/cocon486.conf
@@ -0,0 +1,24 @@
+# Copyright (C) 2007, Stelios Koroneos - Digital OPSiS, All Rights Reserved
+# Released under the MIT license (see packages/COPYING)
+#@TYPE: Machine
+#@NAME: COCON486
+#@DESCRIPTION: Machine configuration for a Linux running on x86 compatible machines
+
+# i386 doesn't work with NPTL, see http://ecos.sourceware.org/ml/libc-ports/2006-03/msg00030.html
+TARGET_ARCH = "i486"
+
+PREFERRED_PROVIDER_virtual/kernel = "linux"
+PREFERRED_PROVIDER_virtual/xserver = "xserver-xorg"
+#XSERVER="xserver-kdrive-vesa"
+
+KERNEL_IMAGETYPE = "bzImage"
+
+MACHINE_EXTRA_RRECOMMENDS = " kernel-modules"
+MACHINE_FEATURES = "kernel26 pci usbhost ext2 screen x86"
+
+udevdir = "/dev"
+OLDEST_KERNEL = "2.6.29"
+#GLIBC_ADDONS = "nptl"
+#GLIBC_EXTRA_OECONF = "--with-tls"
+
+require conf/machine/include/tune-x86.inc
diff --git recipes/avahi/avahi.inc recipes/avahi/avahi.inc
index f4dff0a..54dc883 100644
--- recipes/avahi/avahi.inc
+++ recipes/avahi/avahi.inc
@@ -23,7 +23,7 @@ EXTRA_OECONF = "--with-distro=debian  --disable-stack-protector --disable-nls --
 AVAHI_PYTHON ?= "--enable-python"
 AVAHI_GTK ?= "-disable-gtk"
 
-LDFLAGS_append_libc-uclibc = " -lintl"
+LDFLAGS_append = " -lintl"
 LDFLAGS_append_uclinux-uclibc = " -lintl"
 
 do_configure_prepend() {
diff --git recipes/base-files/base-files/cocon486/fstab recipes/base-files/base-files/cocon486/fstab
new file mode 100644
index 0000000..ecc5aff
--- /dev/null
+++ recipes/base-files/base-files/cocon486/fstab
@@ -0,0 +1,11 @@
+# stock fstab - you probably want to override this with a machine specific one
+
+#rootfs               /                    auto       defaults              1  1
+proc                 /proc                proc       defaults              0  0
+devpts               /dev/pts             devpts     mode=0620,gid=5       0  0
+tmpfs                /var/volatile        tmpfs      defaults,noatime,nodiratime              0  0
+tmpfs                /media/ram           tmpfs      defaults,noatime,nodiratime              0  0
+
+# uncomment this if your device has a SD/MMC/Transflash slot
+/dev/sda1       /          ext3       defaults,noatime,nodiratime   1   1
+
diff --git recipes/base-files/base-files/fstab recipes/base-files/base-files/fstab
index 628a9e9..43c1b44 100644
--- recipes/base-files/base-files/fstab
+++ recipes/base-files/base-files/fstab
@@ -3,9 +3,7 @@
 rootfs               /                    auto       defaults              1  1
 proc                 /proc                proc       defaults              0  0
 devpts               /dev/pts             devpts     mode=0620,gid=5       0  0
-usbfs                /proc/bus/usb        usbfs      defaults              0  0
 tmpfs                /var/volatile        tmpfs      defaults              0  0
-tmpfs                /dev/shm             tmpfs      mode=0777             0  0
 tmpfs                /media/ram           tmpfs      defaults              0  0
 
 # uncomment this if your device has a SD/MMC/Transflash slot
diff --git recipes/busybox-rc/busybox-rc/bootlogd.init recipes/busybox-rc/busybox-rc/bootlogd.init
new file mode 100755
index 0000000..f8f07a0
--- /dev/null
+++ recipes/busybox-rc/busybox-rc/bootlogd.init
@@ -0,0 +1,85 @@
+#! /bin/sh
+#
+# bootlogd	One of the first scripts to be executed. Starts or stops
+#		the bootlogd log program. If this script is called as
+#		"stop-bootlogd", it will stop the daemon instead of
+#		starting it even when called with the "start" argument.
+#
+# Version:	@(#)bootlogd  2.85-12  21-Mar-2004  miquels@cistron.nl
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/sbin/bootlogd
+NAME=bootlogd
+DESC="Bootlog daemon"
+
+test -f $DAEMON || exit 0
+
+[ -r /etc/default/bootlogd ] && . /etc/default/bootlogd
+
+## set -e # not needed
+
+case "$BOOTLOGD_ENABLE" in
+	[Nn]*)
+		exit 0
+		;;
+esac
+
+STOPPER=
+ACTION="$1"
+case "$0" in
+	*stop-bootlog*)
+		STOPPER=Y
+		if [ "$ACTION" = start ]
+		then
+			ACTION=stop
+		fi
+		;;
+esac
+
+case "$ACTION" in
+	start)
+		echo -n "Starting $DESC: "
+		if [ -d /proc/1/. ]
+		then
+			umask 027
+			start-stop-daemon --start --quiet \
+				--exec $DAEMON -- -r
+		else
+			$DAEMON -r
+		fi
+		echo "$NAME."
+		;;
+	stop)
+		echo -n "Stopping $DESC: "
+		start-stop-daemon --stop --quiet --exec $DAEMON
+
+		if [ "$STOPPER" ] && [ -f /var/log/boot ] && \
+		   [ -f /var/log/boot~ ]
+		then
+			cd /var/log
+			chgrp adm boot
+			savelog -p -c 5 boot > /dev/null 2>&1
+			mv boot.0 boot
+			mv boot~ boot.0
+		fi
+
+		echo "$NAME."
+		;;
+	 restart|force-reload)
+		echo -n "Restarting $DESC: "
+		start-stop-daemon --stop --quiet --exec $DAEMON
+		sleep 1
+		start-stop-daemon --start --quiet --exec $DAEMON
+		echo "$NAME."
+		;;
+	*)
+		N=${0##*/}
+		N=${N#[SK]??}
+		echo "Usage: $N {start|stop|restart|force-reload}" >&2
+		exit 1
+		;;
+esac
+
+exit 0
+
diff --git recipes/busybox-rc/busybox-rc/cocon486/inittab recipes/busybox-rc/busybox-rc/cocon486/inittab
new file mode 100644
index 0000000..427b7e0
--- /dev/null
+++ recipes/busybox-rc/busybox-rc/cocon486/inittab
@@ -0,0 +1,12 @@
+# /etc/inittab: init(8) configuration.
+# $Id: inittab,v 1.91 2002/01/25 13:35:21 miquels Exp $
+
+
+::sysinit:/etc/init.d/rcS
+::askfirst:/bin/sh
+::ctrlaltdel:/sbin/reboot
+::shutdown:/sbin/swapoff -a
+::shutdown:/bin/umount -a -r
+::restart:/sbin/init
+tty2::askfirst:/bin/sh
+tty3::askfirst:/bin/sh
diff --git recipes/busybox-rc/busybox-rc/need recipes/busybox-rc/busybox-rc/need
new file mode 100644
index 0000000..4d84bbe
--- /dev/null
+++ recipes/busybox-rc/busybox-rc/need
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+# need binary that doesnt do anything, supplied for simpleinit
+# vs sysvinit compatibility for the supplied startup scripts
+
+exit 0
diff --git recipes/busybox-rc/busybox-rc/postinst recipes/busybox-rc/busybox-rc/postinst
new file mode 100644
index 0000000..b6fe547
--- /dev/null
+++ recipes/busybox-rc/busybox-rc/postinst
@@ -0,0 +1,17 @@
+#!/bin/busybox ash
+
+action="$1"
+oldversion="$2"
+
+umask 022
+
+if [ "$action" != configure ]
+then
+	exit 0
+fi
+
+update-alternatives --install /sbin/init init /sbin/sysvinit 25
+update-alternatives --install /sbin/need need /sbin/need.sysvinit 25
+update-alternatives --install /sbin/provide provide /sbin/provide.sysvinit 25
+
+exit 0
diff --git recipes/busybox-rc/busybox-rc/prerm recipes/busybox-rc/busybox-rc/prerm
new file mode 100644
index 0000000..704a29f
--- /dev/null
+++ recipes/busybox-rc/busybox-rc/prerm
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if [ "$1" != "upgrade" ]; then
+	update-alternatives --remove need /sbin/need.sysvinit
+	update-alternatives --remove provide /sbin/provide.sysvinit
+	update-alternatives --remove init /sbin/sysvinit
+fi
+
+exit 0
diff --git recipes/busybox-rc/busybox-rc/provide recipes/busybox-rc/busybox-rc/provide
new file mode 100644
index 0000000..c90cf35
--- /dev/null
+++ recipes/busybox-rc/busybox-rc/provide
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+# provide binary that doesnt do anything, supplied for simpleinit
+# vs sysvinit compatibility for the supplied startup scripts
+
+exit 0
diff --git recipes/busybox-rc/busybox-rc/rc recipes/busybox-rc/busybox-rc/rc
new file mode 100755
index 0000000..fdb0fce
--- /dev/null
+++ recipes/busybox-rc/busybox-rc/rc
@@ -0,0 +1,102 @@
+#!/bin/sh
+#
+# rc		This file is responsible for starting/stopping
+#		services when the runlevel changes.
+#
+#		Optimization feature:
+#		A startup script is _not_ run when the service was
+#		running in the previous runlevel and it wasn't stopped
+#		in the runlevel transition (most Debian services don't
+#		have K?? links in rc{1,2,3,4,5} )
+#
+# Author:	Miquel van Smoorenburg <miquels@cistron.nl>
+#		Bruce Perens <Bruce@Pixar.com>
+#
+# Version:	@(#)rc  2.78  07-Nov-1999  miquels@cistron.nl
+#
+
+. /etc/default/rcS
+export VERBOSE
+
+#
+# Start script or program.
+#
+startup() {
+  case "$1" in
+	*.sh)
+		sh "$@"
+		;;
+	*)
+		"$@"
+		;;
+  esac
+}
+
+  # Ignore CTRL-C only in this shell, so we can interrupt subprocesses.
+  trap ":" INT QUIT TSTP
+
+  # Set onlcr to avoid staircase effect.
+  stty onlcr 0>&1
+
+  # Now find out what the current and what the previous runlevel are.
+
+  runlevel=$RUNLEVEL
+  # Get first argument. Set new runlevel to this argument.
+  [ "$1" != "" ] && runlevel=$1
+  if [ "$runlevel" = "" ]
+  then
+	echo "Usage: $0 <runlevel>" >&2
+	exit 1
+  fi
+  previous=$PREVLEVEL
+  [ "$previous" = "" ] && previous=N
+
+  export runlevel previous
+
+  # Is there an rc directory for this new runlevel?
+  if [ -d /etc/rc$runlevel.d ]
+  then
+	# First, run the KILL scripts.
+	if [ $previous != N ]
+	then
+		for i in /etc/rc$runlevel.d/K[0-9][0-9]*
+		do
+			# Check if the script is there.
+			[ ! -f $i ] && continue
+
+			# Stop the service.
+			startup $i stop
+		done
+	fi
+	# Now run the START scripts for this runlevel.
+	for i in /etc/rc$runlevel.d/S*
+	do
+		[ ! -f $i ] && continue
+
+		if [ $previous != N ] && [ $previous != S ]
+		then
+			#
+			# Find start script in previous runlevel and
+			# stop script in this runlevel.
+			#
+			suffix=${i#/etc/rc$runlevel.d/S[0-9][0-9]}
+			stop=/etc/rc$runlevel.d/K[0-9][0-9]$suffix
+			previous_start=/etc/rc$previous.d/S[0-9][0-9]$suffix
+			#
+			# If there is a start script in the previous level
+			# and _no_ stop script in this level, we don't
+			# have to re-start the service.
+			#
+			[ -f $previous_start ] && [ ! -f $stop ] && continue
+		fi
+		case "$runlevel" in
+			0|6)
+				startup $i stop
+				;;
+			*)
+				startup $i start
+				;;
+		esac
+	done
+  fi
+# eof /etc/init.d/rc
diff --git recipes/busybox-rc/busybox-rc/rcS recipes/busybox-rc/busybox-rc/rcS
new file mode 100755
index 0000000..1b6cf15
--- /dev/null
+++ recipes/busybox-rc/busybox-rc/rcS
@@ -0,0 +1,119 @@
+#!/bin/sh
+#
+# rcS		Call all S??* scripts in /etc/rcS.d in
+#		numerical/alphabetical order.
+#
+# Version:	@(#)/etc/init.d/rcS  2.76  19-Apr-1999  miquels@cistron.nl
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+runlevel=S
+prevlevel=N
+umask 022
+export PATH runlevel prevlevel
+
+#	Make sure proc is mounted
+#
+[ -d "/proc/1" ] || mount proc /proc -t proc
+
+#	Make sure sys is mounted
+[ -d "/sys/kernel" ] || mount sysfs /sys -t sysfs
+
+# mount tmpfs
+mount tmpfs /tmp -t tmpfs
+
+# tmp : mount root filesystem
+mount -o remount,rw /
+
+#
+#	See if system needs to be setup. This is ONLY meant to
+#	be used for the initial setup after a fresh installation!
+#
+if [ -x /sbin/unconfigured.sh ]
+then
+  /sbin/unconfigured.sh
+fi
+
+#
+#	Source defaults.
+#
+. /etc/default/rcS
+
+#
+#	Trap CTRL-C &c only in this shell so we can interrupt subprocesses.
+#
+trap ":" INT QUIT TSTP
+
+#
+#       Do we have /proc/progress and set VERBOSE to "no" ?
+#       If so, calculate the number of scripts and the incremental step
+#
+if [ "$VERBOSE" = no ]; then
+    if [ -e /proc/progress ]; then
+        set `ls -1 /etc/rc$runlevel.d/S* | wc`
+        numscripts=$1
+        PROGRESS_incstep=`expr 90 / $1`
+        PROGRESS_value=10
+        PROGRESS=yes
+        export PROGRESS_value PROGRESS_incstep
+    fi
+fi
+export VERBOSE PROGRESS
+
+#
+#	Call all parts in order.
+#
+for i in /etc/rcS.d/S??*
+do
+	# Ignore dangling symlinks for now.
+	[ ! -f "$i" ] && continue
+
+	# Handle verbosity
+	[ "$VERBOSE" = very ] && echo "INIT: Running $i..."
+	if [ "$PROGRESS" = yes ]; then
+		export PROGRESS_value=`expr $PROGRESS_value + $PROGRESS_incstep`
+		echo "$PROGRESS_value Starting $i..." >/proc/progress
+	fi
+
+	case "$i" in
+		*.sh)
+			# Source shell script for speed.
+			(
+				trap - INT QUIT TSTP
+				set start
+				. $i
+			)
+			;;
+		*)
+			# No sh extension, so fork subprocess.
+			$i start
+			;;
+	esac
+
+        #
+        # Report status based on result code
+        #
+        result=$?
+        if [ "$PROGRESS" = yes ]; then
+                if [ "$result" = 0 ]; then
+                    echo "=s" >/proc/progress
+                else
+                    echo "=f" >/proc/progress
+                fi
+        fi
+done
+
+#
+#	For compatibility, run the files in /etc/rc.boot too.
+#
+[ -d /etc/rc.boot ] && run-parts /etc/rc.boot
+
+#
+#	Finish setup if needed. The comment above about
+#	/sbin/unconfigured.sh applies here as well!
+#
+if [ -x /sbin/setup.sh ]
+then
+  /sbin/setup.sh
+fi
+
diff --git recipes/busybox-rc/busybox-rc/rcS-default recipes/busybox-rc/busybox-rc/rcS-default
new file mode 100644
index 0000000..6203643
--- /dev/null
+++ recipes/busybox-rc/busybox-rc/rcS-default
@@ -0,0 +1,25 @@
+#
+#	Defaults for the boot scripts in /etc/rcS.d
+#
+
+# Time files in /tmp are kept in days.
+TMPTIME=0
+# Set to yes if you want sulogin to be spawned on bootup
+SULOGIN=no
+# Set to no if you want to be able to login over telnet/rlogin
+# before system startup is complete (as soon as inetd is started)
+DELAYLOGIN=no
+# Set UTC=yes if your system clock is set to UTC (GMT), and UTC=no if not.
+# UTC=yes
+# Set VERBOSE to "no" if you would like a more quiet bootup.
+VERBOSE=no
+# Set EDITMOTD to "no" if you don't want /etc/motd to be editted automatically
+EDITMOTD=no
+# Whether to fsck root on boot
+ENABLE_ROOTFS_FSCK=no
+# Set FSCKFIX to "yes" if you want to add "-y" to the fsck at startup.
+FSCKFIX=yes
+# Set TICKADJ to the correct tick value for this specific machine
+#TICKADJ=10000
+# Enable caching in populate-volatile.sh
+VOLATILE_ENABLE_CACHE=no
diff --git recipes/busybox-rc/busybox-rc_1.bb recipes/busybox-rc/busybox-rc_1.bb
new file mode 100644
index 0000000..18e3925
--- /dev/null
+++ recipes/busybox-rc/busybox-rc_1.bb
@@ -0,0 +1,69 @@
+DESCRIPTION = "rcS and some script for running busybox init"
+SECTION = "base"
+LICENSE = "GPLv2+"
+# HOMEPAGE = "http://freshmeat.net/projects/sysvinit/"
+PR = "1"
+
+# USE_VT and SERIAL_CONSOLE are generally defined by the MACHINE .conf.
+# Set PACKAGE_ARCH appropriately.
+PACKAGE_ARCH_${PN}-inittab = "${MACHINE_ARCH}"
+
+RDEPENDS_${PN} = "${PN}-inittab"
+
+USE_VT = "1"
+
+PACKAGES =+ "bootlogd ${PN}-inittab"
+FILES_${PN}-inittab = "${sysconfdir}/inittab"
+CONFFILES_${PN}-inittab = "${sysconfdir}/inittab"
+
+
+SRC_URI = "file://need \
+           file://provide \
+           file://inittab \
+           file://rcS-default \
+           file://rc \
+           file://rcS"
+
+S = "${WORKDIR}/busybox-rc-${PV}"
+B = "${S}/src"
+
+
+#ALTERNATIVE_NAME = "init"
+#ALTERNATIVE_LINK = "${base_sbindir}/init"
+#ALTERNATIVE_PATH = "${base_sbindir}/init.sysvinit"
+#ALTERNATIVE_PRIORITY = "60"
+
+do_install () {
+	# oe_runmake 'ROOT=${D}' install
+	install -d ${D}${sysconfdir}
+	install -d ${D}${sysconfdir}/default
+	install	-d ${D}${sysconfdir}/init.d
+	install -m 0644 ${WORKDIR}/inittab ${D}${sysconfdir}/inittab
+	#if [ ! -z "${SERIAL_CONSOLE}" ]; then
+	#	echo "S:2345:respawn:${base_sbindir}/getty ${SERIAL_CONSOLE}" >> ${D}${sysconfdir}/inittab
+	#fi
+	if [ "${USE_VT}" = "1" ]; then
+		cat <<EOF >>${D}${sysconfdir}/inittab
+# ${base_sbindir}/getty invocations for the runlevels.
+#
+# The "id" field MUST be the same as the last
+# characters of the device (after "tty").
+#
+# Format:
+#  <id>:<runlevels>:<action>:<process>
+#
+
+EOF
+
+		for n in ${SYSVINIT_ENABLED_GETTYS}
+		do
+			echo "$n:2345:respawn:${base_sbindir}/getty 38400 tty$n" >> ${D}${sysconfdir}/inittab
+		done
+		echo "" >> ${D}${sysconfdir}/inittab
+	fi
+	install -m 0644    ${WORKDIR}/rcS-default	${D}${sysconfdir}/default/rcS
+	install -m 0755    ${WORKDIR}/rc		${D}${sysconfdir}/init.d
+	install -m 0755    ${WORKDIR}/rcS		${D}${sysconfdir}/init.d
+	install -d ${D}${sysconfdir}/rcS.d
+}
+
diff --git recipes/diffutils/diffutils_2.8.1.bb recipes/diffutils/diffutils_2.8.1.bb
index bd6a27f..7426359 100644
--- recipes/diffutils/diffutils_2.8.1.bb
+++ recipes/diffutils/diffutils_2.8.1.bb
@@ -14,7 +14,7 @@ inherit autotools update-alternatives
 # standard functionality.  regex.c actually breaks compilation
 # because it uses __mempcpy, there are other things (TBD:
 # see diffutils.mk in buildroot)
-EXTRA_OECONF_libc-uclibc = "--without-included-regex"
+EXTRA_OECONF = "--without-included-regex"
 
 do_install_append () {
         mv ${D}${bindir}/diff ${D}${bindir}/diff.${PN}
diff --git recipes/dri/libdrm_2.4.23.bb recipes/dri/libdrm_2.4.23.bb
index f4feae5..e288987 100644
--- recipes/dri/libdrm_2.4.23.bb
+++ recipes/dri/libdrm_2.4.23.bb
@@ -7,6 +7,8 @@ SRC_URI += "file://glamo.patch"
 SRC_URI[md5sum] = "7577ff36ec364d88fae466d4f7fc5fc6"
 SRC_URI[sha256sum] = "c0f06d68c3edba7a1ad937f5481a8c287efd4cd368cee66cd9e678b06a911c18"
 
+EXTRA_OECONF += "--enable-nouveau-experimental-api "
+
 do_compile_prepend_libc-uclibc() {
 	eval "${@base_contains('DISTRO_FEATURES', 'largefile', '', 'sed -i -e "/_FILE_OFFSET_BITS/d" ${S}/libkms/intel.c', d)}"
 	eval "${@base_contains('DISTRO_FEATURES', 'largefile', '', 'sed -i -e "/_FILE_OFFSET_BITS/d" ${S}/libkms/vmwgfx.c', d)}"
diff --git recipes/eject/eject_2.1.5.bb recipes/eject/eject_2.1.5.bb
index 06328dc..e1c1c53 100644
--- recipes/eject/eject_2.1.5.bb
+++ recipes/eject/eject_2.1.5.bb
@@ -16,6 +16,8 @@ SRC_URI = "http://sources.openembedded.org/${P}.tar.gz"
 SRC_URI[md5sum] = "b96a6d4263122f1711db12701d79f738"
 SRC_URI[sha256sum] = "ef9f7906484cfde4ba223b2682a37058f9a3c7d3bb1adda7a34a67402e2ffe55"
 
+LDFLAGS_append = " -lintl "
+
 do_install_append() {
   mv ${D}/${bindir}/volname ${D}/${bindir}/volname.${PN}
 }
diff --git recipes/geoclue/geoclue_0.12.0.bb recipes/geoclue/geoclue_0.12.0.bb
index 6c54679..f26778b 100644
--- recipes/geoclue/geoclue_0.12.0.bb
+++ recipes/geoclue/geoclue_0.12.0.bb
@@ -7,7 +7,7 @@ PE = "1"
 
 inherit gnome
 
-SRC_URI = "http://folks.o-hand.com/jku/geoclue-releases/geoclue-${PV}.tar.gz;name=archive \
+SRC_URI = "http://launchpad.net/geoclue/trunk/0.12/+download/geoclue-${PV}.tar.gz;name=archive \
            file://gtk-doc.make"
 
 SRC_URI[archive.md5sum] = "33af8307f332e0065af056ecba65fec2"
diff --git recipes/gettext/gettext_0.18.bb recipes/gettext/gettext_0.18.bb
index 850b269..45e34b9 100644
--- recipes/gettext/gettext_0.18.bb
+++ recipes/gettext/gettext_0.18.bb
@@ -2,7 +2,7 @@ DESCRIPTION = "The GNU internationalization library."
 HOMEPAGE = "http://www.gnu.org/software/gettext/gettext.html"
 SECTION = "libs"
 LICENSE = "GPLv3"
-PR = "r5"
+PR = "r6"
 DEPENDS = "gettext-native virtual/libiconv ncurses expat"
 DEPENDS_virtclass-native = "libxml2-native"
 PROVIDES = "virtual/libintl"
@@ -15,12 +15,14 @@ SRC_URI = "${GNU_MIRROR}/gettext/gettext-${PV}.tar.gz \
            file://autotools.patch \
            file://gettext-autoconf-lib-link-no-L.patch \
 	   file://gnulib-uclibc-sched_param-def.patch \
+           file://2619-error.patch \
 	  "
 
-SRC_URI_append_libc-uclibc = " file://gettext-error_print_progname.patch"
+SRC_URI_append_libc-uclibc = " file://gettext-error_print_progname.patch \
+          "
 
-nolargefile = "${@base_contains('DISTRO_FEATURES', 'largefile', '', '-DNO_LARGEFILE_SOURCE', d)}"
-EXTRA_OEMAKE_append_libc-uclibc = "'CFLAGS=${CFLAGS} ${nolargefile}'"
+largefile = "${@base_contains('DISTRO_FEATURES', 'largefile', '', '-DNO_LARGEFILE_SOURCE', d)}"
+export CFLAGS += " ${nolargefile}"
 
 PARALLEL_MAKE = ""
 
@@ -38,7 +40,9 @@ EXTRA_OECONF += "--without-lispdir \
 		 --with-included-glib \
 		 --without-emacs \
 		 --with-included-libcroco \
+		 --with-included-gettext \
 		 ${NATIVECONF} \
+                 --enable-nls \
 	        "
 
 acpaths = '-I ${S}/gnulib-local/m4/ \
diff --git recipes/glib-2.0/glib-2.0_2.28.0.bb recipes/glib-2.0/glib-2.0_2.28.0.bb
index 07e72d3..53c6da0 100644
--- recipes/glib-2.0/glib-2.0_2.28.0.bb
+++ recipes/glib-2.0/glib-2.0_2.28.0.bb
@@ -30,7 +30,7 @@ inherit autotools gettext
 
 S = "${WORKDIR}/glib-${PV}"
 
-EXTRA_OECONF = "--disable-debug "
+EXTRA_OECONF = "--disable-debug --with-libiconv=gnu "
 
 # Add and entry for your favourite arch if your (g)libc has a sane printf
 EXTRA_OECONF_append_glibc_arm = "  --enable-included-printf=no "
diff --git recipes/grub/grub-0.97/cocon486/menu.lst recipes/grub/grub-0.97/cocon486/menu.lst
new file mode 100644
index 0000000..d883926
--- /dev/null
+++ recipes/grub/grub-0.97/cocon486/menu.lst
@@ -0,0 +1,6 @@
+# menu.lst
+default 0
+timeout 5
+title   opencocon (sda1)
+root    (hd0,0)
+kernel  /boot/bzImage root=/dev/sda1 ro 
diff --git recipes/grub/grub-0.97/menu.lst recipes/grub/grub-0.97/menu.lst
index 510e8f8..d883926 100644
--- recipes/grub/grub-0.97/menu.lst
+++ recipes/grub/grub-0.97/menu.lst
@@ -1,6 +1,6 @@
 # menu.lst
 default 0
 timeout 5
-title   OpenEmbedded Linux (hda1)
+title   opencocon (sda1)
 root    (hd0,0)
-kernel  /boot/bzImage root=/dev/hda1 ro 
+kernel  /boot/bzImage root=/dev/sda1 ro 
diff --git recipes/images/initramfs-opencocon-image.bb recipes/images/initramfs-opencocon-image.bb
new file mode 100644
index 0000000..1b67736
--- /dev/null
+++ recipes/images/initramfs-opencocon-image.bb
@@ -0,0 +1,19 @@
+# initramfs image with interactive boot menu allowing to select rootfs location
+# from choices of block devices, loopback images and NFS.
+
+
+
+IMAGE_NAME = "${DISTRO_NAME}-${DISTRO_VERSION}-${MACHINE}-ata-initramfs"
+
+IMAGE_INSTALL = "busybox uclibc initramfs-module-check-modules kernel-module-pata-oldpiix "
+IMAGE_LINGUAS = ""
+
+
+# Remove any kernel-image that the kernel-module-* packages may have pulled in.
+PACKAGE_REMOVE = "kernel-image-* update-modules module-init-tools-depmod update-rc.d"
+ROOTFS_POSTPROCESS_COMMAND += "opkg-cl ${IPKG_ARGS} -force-depends \
+                                remove ${PACKAGE_REMOVE};"
+
+IMAGE_FSTYPES += " cpio.gz "
+
+inherit image
